Bug 11977 - libnetjoin fails to join AD domains with security=domain when realm is not set
libnetjoin fails to join AD domains with security=domain when realm is not set
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.4.4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-15 14:28 UTC by Guenther Deschner
Modified: 2016-06-23 10:41 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.4 (1.88 KB, patch)
2016-06-16 08:12 UTC, Andreas Schneider
no flags Details
patch for 4.3 (1.88 KB, patch)
2016-06-16 08:13 UTC, Andreas Schneider
no flags Details
patch for v4-4-test, cherry-picked from master (3.93 KB, patch)
2016-06-22 08:32 UTC, Michael Adam
obnox: review+
gd: review+
obnox: review? (asn)
Details
patch for v4-3-test, cherry-picked from master (3.94 KB, patch)
2016-06-22 08:35 UTC, Michael Adam
obnox: review+
gd: review+
obnox: review? (asn)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2016-06-15 14:28:59 UTC
libnetjoin fails to join AD domains with security=domain when realm is not set

See also: 
https://bugzilla.redhat.com/show_bug.cgi?id=1260214
Comment 1 Andreas Schneider 2016-06-16 08:12:51 UTC
Created attachment 12183 [details]
patch for 4.4
Comment 2 Andreas Schneider 2016-06-16 08:13:43 UTC
Created attachment 12184 [details]
patch for 4.3
Comment 3 Michael Adam 2016-06-22 08:32:16 UTC
Created attachment 12195 [details]
patch for v4-4-test, cherry-picked from master

The previous patches were not fully correct.
After thorough discussions about this, here
is what we came up with as the fix for master.

We require realm when talking to an AD domain
unless 'security=domain' and 'winbind rpc only=no'.
In that case we ignore the realm parameter but
warn that it should better be set.
Comment 4 Michael Adam 2016-06-22 08:35:50 UTC
Created attachment 12196 [details]
patch for v4-3-test, cherry-picked from master

Not sure if we need a patchset for 4.3, but here is one.
Comment 5 Guenther Deschner 2016-06-22 10:59:57 UTC
Comment on attachment 12195 [details]
patch for v4-4-test, cherry-picked from master

LGTM
Comment 6 Guenther Deschner 2016-06-22 11:00:12 UTC
Comment on attachment 12196 [details]
patch for v4-3-test, cherry-picked from master

LGTM
Comment 7 Guenther Deschner 2016-06-22 11:00:49 UTC
Karolin, please add to 4.4 and 4.3. Thanks!
Comment 8 Karolin Seeger 2016-06-22 11:09:07 UTC
(In reply to Guenther Deschner from comment #7)
Pushed to autobuild-v4-[4|3]-test.
Comment 9 Karolin Seeger 2016-06-23 10:41:21 UTC
(In reply to Karolin Seeger from comment #8)
Pushed to both branches.
Closing out bug report.

Thanks!